# Generated by rust2rpm 20
%bcond_without check
%global debug_package %{nil}

%global crate zmq-sys

Name:           rust-%{crate}
Version:        0.11.0
Release:        6%{?dist}
Summary:        Low-level bindings to the zeromq library

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/zmq-sys
Source:         %{crates_source}
# Initial patched metadata
# * port from the obsolete metadeps to system-deps 6
# * drop feature for using vendored libzmq sources
Patch0:         zmq-sys-fix-metadata.diff
Patch1:         0001-port-from-metadeps-to-system-deps.patch
# * FIXME: hack the test suite so that it passes on 32-bit architectures
#   (a proper fix would be to run bindgen in the build script)
Patch2:         rust-zmq-sys-0.11.0-test-alignment.patch

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging

%global _description %{expand:
Low-level bindings to the zeromq library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(libzmq) >= 4.3.4

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE-APACHE LICENSE-MIT
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo 'pkgconfig(libzmq) >= 4.3.4'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Feb 12 2022 Fabio Valentini <decathorpe@gmail.com> - 0.11.0-4
- Bump system-deps from 3 to 6.
- Add rust2rpm config file.

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Dec  2 2021 Daiki Ueno <dueno@redhat.com> - 0.11.0-2
- Remove zeromq-src dependency in installed Cargo.toml

* Wed Jul 28 2021 Daiki Ueno <dueno@redhat.com> - 0.11.0-1
- Initial package
